Math (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.math

## Class Math

- java.lang.Object
- - net.sf.antcontrib.math.Math

-     public class Math
      extends java.lang.Object

  Utility class for executing calculations.
  Author:
    inger

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Math()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Number` | `abs(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `acos(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `add(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `asin(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `atan(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `atan2(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `ceil(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `convert(java.lang.Number n, java.lang.String datatype)`
    `static java.lang.Number` | `cos(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `degrees(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `divide(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `evaluate(java.lang.String operation, java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `execute(java.lang.String method, java.lang.String datatype, boolean strict, java.lang.Class[] paramTypes, java.lang.Object[] params)`
    `static java.lang.Number` | `exp(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `floor(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Class` | `getPrimitiveClass(java.lang.String datatype)`
    `static java.lang.Number` | `ieeeremainder(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `max(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `min(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `mod(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `multiply(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `radians(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `random(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `rint(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `round(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `sin(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `sqrt(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `subtract(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `tan(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `todegrees(java.lang.String datatype, boolean strict, Evaluateable[] operands)`
    `static java.lang.Number` | `toradians(java.lang.String datatype, boolean strict, Evaluateable[] operands)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Math

          public Math()

  - ### Method Detail

    - #### evaluate

          public static final java.lang.Number evaluate(java.lang.String operation,
                                  java.lang.String datatype,
                                  boolean strict,
                                  Evaluateable[] operands)

    - #### add

          public static final java.lang.Number add(java.lang.String datatype,
                             boolean strict,
                             Evaluateable[] operands)

    - #### subtract

          public static final java.lang.Number subtract(java.lang.String datatype,
                                  boolean strict,
                                  Evaluateable[] operands)

    - #### multiply

          public static final java.lang.Number multiply(java.lang.String datatype,
                                  boolean strict,
                                  Evaluateable[] operands)

    - #### divide

          public static final java.lang.Number divide(java.lang.String datatype,
                                boolean strict,
                                Evaluateable[] operands)

    - #### mod

          public static final java.lang.Number mod(java.lang.String datatype,
                             boolean strict,
                             Evaluateable[] operands)

    - #### convert

          public static final java.lang.Number convert(java.lang.Number n,
                                 java.lang.String datatype)

    - #### execute

          public static final java.lang.Number execute(java.lang.String method,
                                 java.lang.String datatype,
                                 boolean strict,
                                 java.lang.Class[] paramTypes,
                                 java.lang.Object[] params)

    - #### random

          public static final java.lang.Number random(java.lang.String datatype,
                                boolean strict,
                                Evaluateable[] operands)

    - #### getPrimitiveClass

          public static java.lang.Class getPrimitiveClass(java.lang.String datatype)

    - #### abs

          public static final java.lang.Number abs(java.lang.String datatype,
                             boolean strict,
                             Evaluateable[] operands)

    - #### acos

          public static final java.lang.Number acos(java.lang.String datatype,
                              boolean strict,
                              Evaluateable[] operands)

    - #### asin

          public static final java.lang.Number asin(java.lang.String datatype,
                              boolean strict,
                              Evaluateable[] operands)

    - #### atan

          public static final java.lang.Number atan(java.lang.String datatype,
                              boolean strict,
                              Evaluateable[] operands)

    - #### atan2

          public static final java.lang.Number atan2(java.lang.String datatype,
                               boolean strict,
                               Evaluateable[] operands)

    - #### sin

          public static final java.lang.Number sin(java.lang.String datatype,
                             boolean strict,
                             Evaluateable[] operands)

    - #### tan

          public static final java.lang.Number tan(java.lang.String datatype,
                             boolean strict,
                             Evaluateable[] operands)

    - #### cos

          public static final java.lang.Number cos(java.lang.String datatype,
                             boolean strict,
                             Evaluateable[] operands)

    - #### ceil

          public static final java.lang.Number ceil(java.lang.String datatype,
                              boolean strict,
                              Evaluateable[] operands)

    - #### floor

          public static final java.lang.Number floor(java.lang.String datatype,
                               boolean strict,
                               Evaluateable[] operands)

    - #### exp

          public static final java.lang.Number exp(java.lang.String datatype,
                             boolean strict,
                             Evaluateable[] operands)

    - #### rint

          public static final java.lang.Number rint(java.lang.String datatype,
                              boolean strict,
                              Evaluateable[] operands)

    - #### round

          public static final java.lang.Number round(java.lang.String datatype,
                               boolean strict,
                               Evaluateable[] operands)

    - #### sqrt

          public static final java.lang.Number sqrt(java.lang.String datatype,
                              boolean strict,
                              Evaluateable[] operands)

    - #### degrees

          public static final java.lang.Number degrees(java.lang.String datatype,
                                 boolean strict,
                                 Evaluateable[] operands)

    - #### todegrees

          public static final java.lang.Number todegrees(java.lang.String datatype,
                                   boolean strict,
                                   Evaluateable[] operands)

    - #### radians

          public static final java.lang.Number radians(java.lang.String datatype,
                                 boolean strict,
                                 Evaluateable[] operands)

    - #### toradians

          public static final java.lang.Number toradians(java.lang.String datatype,
                                   boolean strict,
                                   Evaluateable[] operands)

    - #### ieeeremainder

          public static final java.lang.Number ieeeremainder(java.lang.String datatype,
                                       boolean strict,
                                       Evaluateable[] operands)

    - #### min

          public static final java.lang.Number min(java.lang.String datatype,
                             boolean strict,
                             Evaluateable[] operands)

    - #### max

          public static final java.lang.Number max(java.lang.String datatype,
                             boolean strict,
                             Evaluateable[] operands)